Closed Bug 955515 Opened 7 years ago Closed 7 years ago

Home/End in newtab filterbox don't work as expected

Categories

(Instantbird :: Other, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: nhnt11)

References

Details

Attachments

(2 files)

*** Original post on bio 2078 at 2013-07-28 16:13:00 UTC ***

When the newtab filtertext is not empty, navigation keys that make sense for editing the text should not be forwarded to the richlistbox.
Blocks: 955452
Attached patch PatchSplinter Review
*** Original post on bio 2078 as attmnt 2660 at 2013-07-30 22:08:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354429 - Flags: review?(florian)
Attachment #8354429 - Flags: review?(benediktp)
Attachment #8354429 - Flags: review?(aleth)
Assignee: nobody → nhnt11
Status: NEW → ASSIGNED
Blocks: 955518
Comment on attachment 8354429 [details] [diff] [review]
Patch

*** Original change on bio 2078 attmnt 2660 at 2013-07-31 10:39:37 UTC ***

Thanks!
Attachment #8354429 - Flags: review?(aleth) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2078 at 2013-08-01 03:49:43 UTC ***

http://hg.instantbird.org/instantbird/rev/f493da9bf7bd
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
*** Original post on bio 2078 at 2013-08-02 09:24:54 UTC ***

Home/End are now broken when scrolling the listbox. Sorry I didn't catch this on review.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
*** Original post on bio 2078 as attmnt 2712 at 2013-08-14 01:31:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354481 - Flags: review?(aleth)
Comment on attachment 8354481 [details] [diff] [review]
Fix Home/End breakage

*** Original change on bio 2078 attmnt 2712 at 2013-08-16 10:23:36 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354481 - Flags: review?(aleth) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 2078 at 2013-08-17 00:04:11 UTC ***

Comment on attachment 8354481 [details] [diff] [review] (bio-attmnt 2712)
Fix Home/End breakage

http://hg.instantbird.org/instantbird/rev/d5f62ea1d914
*** Original post on bio 2078 at 2013-08-17 00:05:48 UTC ***

Fixed, per comment 6.
Status: REOPENED → RESOLVED
Closed: 7 years ago7 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Comment on attachment 8354429 [details] [diff] [review]
Patch

Removing flags that aleth removed when he r+'ed on the bio bug.
Attachment #8354429 - Flags: review?(florian)
Attachment #8354429 - Flags: review?(benediktp)
You need to log in before you can comment on or make changes to this bug.